smesh/test/SMESH_GroupFromGeom.py

53 lines
1.8 KiB
Python
Raw Permalink Normal View History

2012-08-09 16:03:55 +06:00
# -*- coding: iso-8859-1 -*-
2023-06-20 02:11:37 +05:00
# Copyright (C) 2007-2023 CEA, EDF, OPEN CASCADE
2004-12-01 15:48:31 +05:00
#
2012-08-09 16:03:55 +06:00
# Copyright (C) 2003-2007 OPEN CASCADE, EADS/CCR, LIP6, CEA/DEN,
# CEDRAT, EDF R&D, LEG, PRINCIPIA R&D, BUREAU VERITAS
2004-12-01 15:48:31 +05:00
#
2012-08-09 16:03:55 +06:00
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
2014-02-20 18:25:37 +06:00
# version 2.1 of the License, or (at your option) any later version.
2009-02-17 10:27:49 +05:00
#
2012-08-09 16:03:55 +06:00
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
2009-02-17 10:27:49 +05:00
#
2012-08-09 16:03:55 +06:00
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
2009-02-17 10:27:49 +05:00
#
2012-08-09 16:03:55 +06:00
# See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
2004-12-01 15:48:31 +05:00
#
2012-08-09 16:03:55 +06:00
2004-12-01 15:48:31 +05:00
# File : SMESH_GroupFromGeom.py
# Module : SMESH
2009-02-17 10:27:49 +05:00
#
2004-12-01 15:48:31 +05:00
from SMESH_test1 import *
# Compute the mesh created in SMESH_test1
isDone = mesh.Compute()
if not isDone:
raise Exception("Error when computing Mesh")
2004-12-01 15:48:31 +05:00
# Create geometry groups on plane:
aGeomGroup1 = geompy.CreateGroup(face , geompy.ShapeType["FACE"])
geompy.AddObject(aGeomGroup1, 1)
aGeomGroup2 = geompy.CreateGroup(face , geompy.ShapeType["EDGE"])
geompy.AddObject(aGeomGroup2, 3)
geompy.AddObject(aGeomGroup2, 6)
geompy.AddObject(aGeomGroup2, 8)
geompy.AddObject(aGeomGroup2, 10)
geompy.addToStudy(aGeomGroup1, "Group on Faces")
geompy.addToStudy(aGeomGroup2, "Group on Edges")
aSmeshGroup1 = mesh.GroupOnGeom(aGeomGroup1, "SMESHGroup1", SMESH.FACE)
aSmeshGroup2 = mesh.GroupOnGeom(aGeomGroup2, "SMESHGroup2", SMESH.EDGE)
2004-12-01 15:48:31 +05:00
2017-06-13 15:01:10 +05:00
salome.sg.updateObjBrowser()